org.apache.jmeter.gui.util

## Class MenuFactory

- java.lang.Object
- - org.apache.jmeter.gui.util.MenuFactory

-     public final class MenuFactory
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ASSERTIONS`
    `static java.lang.String` | `CONFIG_ELEMENTS`
    `static java.lang.String` | `CONTROLLERS`
    `static java.lang.String` | `FRAGMENTS`
    `static java.lang.String` | `LISTENERS`
    `static java.lang.String` | `NON_TEST_ELEMENTS`
    `static java.lang.String` | `POST_PROCESSORS`
    `static java.lang.String` | `PRE_PROCESSORS`
    `static java.lang.String` | `SAMPLERS`
    `static java.lang.String` | `SEPARATOR`
    `static java.lang.String` | `THREADS`
    `static java.lang.String` | `TIMERS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addEditMenu(javax.swing.JPopupMenu menu, boolean removable)`
    `static void` | `addFileMenu(javax.swing.JPopupMenu pop)`
    `static void` | `addFileMenu(javax.swing.JPopupMenu menu, boolean addSaveTestFragmentMenu)`
    `static void` | `addPasteResetMenu(javax.swing.JPopupMenu menu)`
    `static boolean` | `canAddTo(JMeterTreeNode parentNode, JMeterTreeNode[] nodes)` Determine whether or not nodes can be added to this parent.
    `static boolean` | `canAddTo(JMeterTreeNode parentNode, TestElement element)` Determine whether or not nodes can be added to this parent.
    `static javax.swing.JPopupMenu` | `getDefaultAssertionMenu()`
    `static javax.swing.JPopupMenu` | `getDefaultConfigElementMenu()`
    `static javax.swing.JPopupMenu` | `getDefaultControllerMenu()`
    `static javax.swing.JPopupMenu` | `getDefaultExtractorMenu()`
    `static javax.swing.JPopupMenu` | `getDefaultMenu()`
    `static javax.swing.JPopupMenu` | `getDefaultSamplerMenu()`
    `static javax.swing.JPopupMenu` | `getDefaultTimerMenu()`
    `static javax.swing.JPopupMenu` | `getDefaultVisualizerMenu()`
    `static javax.swing.JMenu` | `makeMenu(java.lang.String category, java.lang.String actionCommand)` Create a menu from a menu category.
    `static javax.swing.JMenuItem` | `makeMenuItem(java.lang.String label, java.lang.String name, java.lang.String actionCommand)` Create a single menu item
    `static javax.swing.JMenuItem` | `makeMenuItemRes(java.lang.String resource, java.lang.String actionCommand)` Create a single menu item from the resource name.
    `static javax.swing.JMenu` | `makeMenus(java.lang.String[] categories, java.lang.String label, java.lang.String actionCommand)`
    `static void` | `setEnabled(javax.swing.JMenu menu)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### THREADS

          public static final java.lang.String THREADS

      See Also:
        Constant Field Values

    - #### FRAGMENTS

          public static final java.lang.String FRAGMENTS

      See Also:
        Constant Field Values

    - #### TIMERS

          public static final java.lang.String TIMERS

      See Also:
        Constant Field Values

    - #### CONTROLLERS

          public static final java.lang.String CONTROLLERS

      See Also:
        Constant Field Values

    - #### SAMPLERS

          public static final java.lang.String SAMPLERS

      See Also:
        Constant Field Values

    - #### CONFIG_ELEMENTS

          public static final java.lang.String CONFIG_ELEMENTS

      See Also:
        Constant Field Values

    - #### POST_PROCESSORS

          public static final java.lang.String POST_PROCESSORS

      See Also:
        Constant Field Values

    - #### PRE_PROCESSORS

          public static final java.lang.String PRE_PROCESSORS

      See Also:
        Constant Field Values

    - #### ASSERTIONS

          public static final java.lang.String ASSERTIONS

      See Also:
        Constant Field Values

    - #### NON_TEST_ELEMENTS

          public static final java.lang.String NON_TEST_ELEMENTS

      See Also:
        Constant Field Values

    - #### LISTENERS

          public static final java.lang.String LISTENERS

      See Also:
        Constant Field Values

    - #### SEPARATOR

          public static final java.lang.String SEPARATOR

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### addEditMenu

          public static void addEditMenu(javax.swing.JPopupMenu menu,
                                         boolean removable)

    - #### addPasteResetMenu

          public static void addPasteResetMenu(javax.swing.JPopupMenu menu)

    - #### addFileMenu

          public static void addFileMenu(javax.swing.JPopupMenu pop)

    - #### addFileMenu

          public static void addFileMenu(javax.swing.JPopupMenu menu,
                                         boolean addSaveTestFragmentMenu)

      Parameters:
        `menu` - JPopupMenu
        `addSaveTestFragmentMenu` - Add Save as Test Fragment menu if true

    - #### makeMenus

          public static javax.swing.JMenu makeMenus(java.lang.String[] categories,
                                                    java.lang.String label,
                                                    java.lang.String actionCommand)

    - #### getDefaultControllerMenu

          public static javax.swing.JPopupMenu getDefaultControllerMenu()

    - #### getDefaultSamplerMenu

          public static javax.swing.JPopupMenu getDefaultSamplerMenu()

    - #### getDefaultConfigElementMenu

          public static javax.swing.JPopupMenu getDefaultConfigElementMenu()

    - #### getDefaultVisualizerMenu

          public static javax.swing.JPopupMenu getDefaultVisualizerMenu()

    - #### getDefaultTimerMenu

          public static javax.swing.JPopupMenu getDefaultTimerMenu()

    - #### getDefaultAssertionMenu

          public static javax.swing.JPopupMenu getDefaultAssertionMenu()

    - #### getDefaultExtractorMenu

          public static javax.swing.JPopupMenu getDefaultExtractorMenu()

    - #### getDefaultMenu

          public static javax.swing.JPopupMenu getDefaultMenu()

    - #### makeMenu

          public static javax.swing.JMenu makeMenu(java.lang.String category,
                                                   java.lang.String actionCommand)

      Create a menu from a menu category.
      Parameters:
        `category` - predefined string (used as key for menuMap HashMap and messages.properties lookup)
        `actionCommand` - predefined string, e.g. ActionNames.ADD} `ActionNames`
      Returns:
        the menu

    - #### setEnabled

          public static void setEnabled(javax.swing.JMenu menu)

    - #### makeMenuItem

          public static javax.swing.JMenuItem makeMenuItem(java.lang.String label,
                                                           java.lang.String name,
                                                           java.lang.String actionCommand)

      Create a single menu item
      Parameters:
        `label` - for the MenuItem
        `name` - for the MenuItem
        `actionCommand` - predefined string, e.g. ActionNames.ADD `ActionNames`
      Returns:
        the menu item

    - #### makeMenuItemRes

          public static javax.swing.JMenuItem makeMenuItemRes(java.lang.String resource,
                                                              java.lang.String actionCommand)

      Create a single menu item from the resource name.
      Parameters:
        `resource` - for the MenuItem
        `actionCommand` - predefined string, e.g. ActionNames.ADD `ActionNames`
      Returns:
        the menu item

    - #### canAddTo

          public static boolean canAddTo(JMeterTreeNode parentNode,
                                         TestElement element)

      Determine whether or not nodes can be added to this parent.

      Used by Merge

      Parameters:
        `parentNode` - The `JMeterTreeNode` to test, if a new element can be added to it
        `element` - top-level test element to be added
      Returns:
        whether it is OK to add the element to this parent

    - #### canAddTo

          public static boolean canAddTo(JMeterTreeNode parentNode,
                                         JMeterTreeNode[] nodes)

      Determine whether or not nodes can be added to this parent.

      Used by DragNDrop and Paste.

      Parameters:
        `parentNode` - The `JMeterTreeNode` to test, if `nodes[]` can be added to it
        `nodes` - array of nodes that are to be added
      Returns:
        whether it is OK to add the dragged nodes to this parent

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.